# Release notes for cobrapy 0.6.2

## Fixes

- Fix in the ordering and rounding of FVA summary
  [#525](https://github.com/opencobra/cobrapy/pull/525)
- Shared memory, improve speed during sampling
  [#521](https://github.com/opencobra/cobrapy/pull/521)
- Debug `model.remove_reactions` to properly work with context manager.
  This lead to the deprecation of `reaction.delete` as this was not compatible
  with the concept of being able to later revert the change.
  [#506](https://github.com/opencobra/cobrapy/issues/506),
  [#508](https://github.com/opencobra/cobrapy/pull/508).
- Adding two models (`modela + modelb`) again results in a model with
  the objective set to the sum of the two models objectives
  [#505](https://github.com/opencobra/cobrapy/issues/505).
- When adding reactions to a model, the reactions with identifiers
  identical to those in the model are
  ignored. [#511](https://github.com/opencobra/cobrapy/issues/511)

## New features
- `model.merge` can be used to merge two models, more flexibly than
  the overloaded + and += operators.

## Deprecated features

- `reaction.delete` has been deprecated in favor of `reaction.remove_from_model`
- overloaded `+` and `+=` for `cobra.Model` are deprecated in favor of
  `model.merge`
